#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */



void main(void) {
  EnableInterrupts;
  /* include your code here */ 
  
  TPM1SC = TPM1SC_CLKSA_MASK;// TPM1 clock source = Bus clock
  TPM1C1SC = TPM1C1SC_MS1B_MASK | TPM1C1SC_ELS1B_MASK; // PWM is edge-aligned. PWM toggles from high to low
  TPM1MOD = 1000; // PWM period = bus clock / 1000
  TPM1C1V = 500; // PWM duty cycle = 50%

  for(;;) {
    __RESET_WATCHDOG();	/* feeds the dog */
  } /* loop forever */
  /* please make sure that you never leave main */
}



